Subject: Re: bug#74626: 30.0.91; mini buffer password prompt mismatches shell buffer's

From: Manuel Giraud <[email-masked]>
Date: Sat, 30 Nov 2024 18:32:47 +0100

Van Ly via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> Hello,
>
> When using ssh to connect to a machine, the password prompt is expected
> to be identical in the shell buffer and mini buffer.
>
> The mini buffer's prompt seems to make use of only the last character.
>
> See
>
>   http://sdf.org/~van.ly/img/emacs-30-0-91-password-prompt.webp
>
> The shell buffer's password prompt shows
>
>   [email-masked]'s password:
>
> The mini buffer shows
>
>   4's password:

I can confirm this bug.  I did not report it but I've seen this only
when the host is just an IP address.
-- 
Manuel Giraud